package;

import flixel.FlxSprite;
import flixel.system.FlxAssets.FlxGraphicAsset;
import flixel.FlxBasic;

/**
 * ...
 * @author Laboon
 */
class Mannequin extends FlxSprite
{
	public var isDisablde:Bool;
	public function new(?X:Float=0, ?Y:Float=0, ?SimpleGraphic:FlxGraphicAsset) 
	{
		super(X, Y, SimpleGraphic);
		loadGraphic(AssetPaths.mannequin__png, true, 16, 16);
		animation.add("default", [0], 0, false );
		animation.add("disabled", [1], 0, false );
		isDisablde = false;
		immovable = true;
	}
	
	override public function update(elapsed:Float):Void
	{
		animation.play("default");
		if (isDisablde)
			animation.play("disabled");
	}
	
}